import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
public class Actor1 extends Actor
{
    private boolean isTransparent = false;
    
    public void addedToWorld(World w)
    {
        setImage(new GreenfootImage("ActorImage" + Greenfoot.getRandomNumber(10) + ".png"));
    }

    public void act() 
    {
        if(Greenfoot.mousePressed(this) && !isTransparent)
        {
            turnTransparent();
            isTransparent = true;
        }
    }
    
    /**
     * This method removes the color Color.WHITE
     * from the actor's image.
     */
    private void turnTransparent()
    {
        GreenfootImage img = getImage();
        Color transparent = new Color(0, 0, 0, 0);
        for(int x = 0; x < img.getWidth(); x++)
        {
            for(int y = 0; y < img.getHeight(); y++)
            {
                if(img.getColorAt(x, y).equals(Color.WHITE))
                    img.setColorAt(x, y, transparent);
            }
        }
    }
}
