import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
public class Actor2 extends Actor
{
    private boolean isTransparent = false;
    
    public void addedToWorld(World w)
    {
        setImage(new GreenfootImage("ActorImage" + Greenfoot.getRandomNumber(10) + ".png"));
    }

    public void act() 
    {
        if(Greenfoot.mousePressed(this) && !isTransparent)
        {
            turnTransparent2();
            isTransparent = true;
        }
    }
    
    /**
     * This method removes the all whitish
     * colors from the actor's image.
     */
    private void turnTransparent2()
    {
        int range = 10; //Should be in the range 0-255.
        GreenfootImage img = getImage();
        Color transparent = new Color(0, 0, 0, 0);
        for(int x = 0; x < img.getWidth(); x++)
        {
            for(int y = 0; y < img.getHeight(); y++)
            {
                Color color = img.getColorAt(x, y);
                if(color.getRed()   > 255 - range
                && color.getGreen() > 255 - range
                && color.getBlue()  > 255 - range)
                    img.setColorAt(x, y, transparent);
            }
        }
    }
}
