import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
public class TheWorld extends World
{
    public TheWorld()
    {
        super(800, 600, 1);
        addObject(new Actor1(), getWidth()/4  , getHeight()/2);
        addObject(new Actor2(), getWidth()/4*2, getHeight()/2);
        addObject(new Actor3(), getWidth()/4*3, getHeight()/2);
        resizeBackground();
        addText("Click an actor to make it transparent!", 50, getWidth()/2, getHeight()/10);
        addText("Method 1\nWhite bg", 30, getWidth()/4  , getHeight()/5);
        addText("Method 2\nWhitish bg", 30, getWidth()/4*2, getHeight()/5);
        addText("Method 3\nAny color bg", 30, getWidth()/4*3, getHeight()/5);
    }
    
    /**
     * This isn't to make the transparency work, this is simply so that your world
     * supports world backgrounds that aren't the same size as your world.
     */
    private void resizeBackground()
    {
        getBackground().scale(getWidth(), getHeight());
    }
    
    /**
     * Adds text to the background instructing the user
     */
    private void addText(String text, int textSize, int x, int y)
    {
        Color textColor = Color.GREEN,
              bgColor = new Color(0, 0, 0, 0); //Transparent
        GreenfootImage theText = new GreenfootImage(text, textSize, textColor, bgColor);
        getBackground().drawImage(theText, x - (theText.getWidth()/2), y);
    }
}